package figures;
import java.awt.Color;

public class Cercle04 extends FiguraGeometrica04 {
   private double radi=0;
   
   public Cercle04 (int ncodi, String nnom, Color ncolor, double nradi) {
      super (ncodi, nnom, ncolor);
      if (nradi>0) radi=nradi;
   }
   
   public Cercle04 (Cercle04 c) {
      this (c.codi, c.nom, c.color, c.radi);
   }
   
   public Cercle04 () {
   }

   public void setRadi (double nouRadi) {
      if (nouRadi>=0) radi = nouRadi;
   }

   public double getRadi () {
      return radi;
   }
   
   public double perimetre () {
      return 2*Math.PI*radi;
   }

   public double area () {
      return Math.PI * radi * radi;
   }
   
   public void visualitzar () {
      System.out.println ("Sc un cercle");
      System.out.println ("*************");
      super.visualitzar();
      System.out.println ("Radi..........:" + radi);
      System.out.println ("Longitud......:" + perimetre());
      System.out.println ("rea..........:" + area());
   }
   
   public String toString() {
      return "Cercle " + super.toString();
   }

   public static void main (String args[]) {
      Cercle04 c1 = new Cercle04 ();
      Cercle04 c2 = new Cercle04 (1, "Cercle04 1", Color.green, 42.42);
      c1.visualitzar();
      c2.visualitzar();
      System.out.println("c1 = " + c1);
      System.out.println("c2 = " + c2);
   }
}