package proves;
import java.awt.Color;
import figures.*;

public class ProvaGrupFiguraGeometricaViaTaula {
   private static void missatgeAfegir (int error, FiguraGeometrica04 obj) {
      System.out.println ("Afegir l'objecte " + obj);
      if (error==-1) System.out.println("   Afegit.");
      else if (error==-2) System.out.println("   No afegit per ser null.");
      else if (error==-3) System.out.println("   No afegit per manca d'espai.");
      else System.out.println("   Codi "+obj.getCodi()+" existent a la posici "+error);
   }
   
   public static void main(String args[]) {
      GrupFiguraGeometricaViaTaula tfg= new GrupFiguraGeometricaViaTaula(50);
      Rectangle04 r1 = new Rectangle04(35,"Rectangle35", Color.yellow, 4.3, 3.2);
      Triangle04 t1 = new Triangle04(21,"Triangle21", Color.red, 8.6, 2.2);
      Cercle04 c1 = new Cercle04(42,"Cercle42", Color.white, 5.2);
      Rectangle04 r2 = new Rectangle04(90,"Rectangle90", Color.pink, 5.1, 4.2);
      Triangle04 t2 = new Triangle04(10,"Triangle10", Color.orange, 3.6, 4.2);
      Cercle04 c2 = new Cercle04(3,"Cercle03", Color.gray, 3.2);
      int pos;

      System.out.println("Procedim a afegir alguns elements al grup.");
      missatgeAfegir(tfg.afegir(r1), r1);
      missatgeAfegir(tfg.afegir(t1), t1);
      missatgeAfegir(tfg.afegir(c1), c1);
      missatgeAfegir(tfg.afegir(r2), r2);
      missatgeAfegir(tfg.afegir(t2), t2);
      missatgeAfegir(tfg.afegir(c2), c2);
      System.out.println();
      tfg.visualitzar();
      System.out.println();
      System.out.println("Procedim a ordenar segons codi els elments del grup.");
      tfg.ordenarPerCodi();
      System.out.println();
      tfg.visualitzar();
      System.out.println();
      System.out.println("Procedim a ordenar segons rea els elments del grup.");
      tfg.ordenarPerArea();
      System.out.println();
      tfg.visualitzar();
   }
}
